var dmp = new diff_match_patch();

// Closely adapted from Neil Fraser's diff demo code
function show_answer_diff() {
  var proofer_text = document.getElementById('proofer_text').value;
  var foofer_text = document.getElementById('foofer_text').value;
  dmp.Diff_Timeout = 1;

  //  var ms_start = (new Date()).getTime();
  var d = dmp.diff_main(proofer_text, foofer_text);
  //  var ms_end = (new Date()).getTime();

  dmp.diff_cleanupEfficiency(d);
  document.getElementById('diff_text').innerHTML = dmp.diff_prettyHtml(d);
}

function show_diff() {
  $('#page_scan').css('display', 'none');
  $('#proofer_area').css('display', 'none');
  $('#foofer_area').css('display', 'none');
  $('#diff_area').css('display', 'block');
  show_answer_diff();
  $('#showproof').css('display', 'inline');
  $('#showfoof').css('display', 'inline');
  $('#showdiff').css('display', 'none');
}

function show_proof() {
  $('#page_scan').css('display', 'block');
  $('#proofer_area').css('display', 'block');
  $('#foofer_area').css('display', 'none');
  $('#diff_area').css('display', 'none');

  $('#showproof').css('display', 'none');
  $('#showfoof').css('display', 'inline');
  $('#showdiff').css('display', 'inline');
}

function show_foof() {
  $('#page_scan').css('display', 'block');
  $('#proofer_area').css('display', 'none');
  $('#foofer_area').css('display', 'block');
  $('#diff_area').css('display', 'none');

  $('#showproof').css('display', 'inline');
  $('#showfoof').css('display', 'none');
  $('#showdiff').css('display', 'inline');
}
